aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/dunst
diff options
context:
space:
mode:
Diffstat (limited to 'dunst')
-rw-r--r--dunst/.config/systemd/user/dunst-pause.service13
-rwxr-xr-xdunst/install.sh12
2 files changed, 25 insertions, 0 deletions
diff --git a/dunst/.config/systemd/user/dunst-pause.service b/dunst/.config/systemd/user/dunst-pause.service
new file mode 100644
index 0000000..5d0b788
--- /dev/null
+++ b/dunst/.config/systemd/user/dunst-pause.service
@@ -0,0 +1,13 @@
+[Unit]
+Description=Pause dunst service
+PartOf=lock.target
+Before=lock.target
+
+[Service]
+Type=oneshot
+ExecStart=/usr/bin/dunstctl set-paused true
+ExecStop=/usr/bin/dunstctl set-paused false
+RemainAfterExit=yes
+
+[Install]
+WantedBy=lock.target
diff --git a/dunst/install.sh b/dunst/install.sh
new file mode 100755
index 0000000..9eb6a20
--- /dev/null
+++ b/dunst/install.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+pkgname=dunstctl
+
+if ! command -v "$pkgname" >/dev/null; then
+ printf "%s: $pkgname not found, skipping...\n" "$0"
+ exit 0
+fi
+
+printf "%s: Installing services\n" "$0"
+
+systemctl --user enable --no-block dunst-pause.service